__gnu_pbds::detail::pat_trie_base Struct Reference

`#include <pat_trie_base.hpp>`

Inheritance diagram for __gnu_pbds::detail::pat_trie_base:
[legend]

## Classes

class | _CIter
struct | _Head
struct | _Inode
class | _Iter
struct | _Leaf
struct | _Metadata
struct | _Metadata< null_type, _Alloc >
struct | _Node_base
class | _Node_citer
class | _Node_iter

## Public Types

enum | node_type { i_node , leaf_node , head_node }

## Detailed Description

Base type for PATRICIA trees.

Definition at line 51 of file pat_trie_base.hpp.

## Member Enumeration Documentation

## node_type

enum __gnu_pbds::detail::pat_trie_base::node_type

Three types of nodes.

i_node is used by _Inode, leaf_node by _Leaf, and head_node by _Head.

Definition at line 58 of file pat_trie_base.hpp.

The documentation for this struct was generated from the following file:

- pat_trie_base.hpp